package com.ruoyi.system.domain.conference;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 参会人员对象 sys_user_conference
 * 
 * @author boman
 * @date 2024-05-06
 */
public class SysUserConference extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参会人员表id */
    private Long conferenceId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    private String realName;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 贷款公司名称 */
    private String loanApplicationName;

    /** 是否参会 N:否 Y:是 */
    @Excel(name = "是否参会 N:否 Y:是")
    private String isConference;

    /** 原因 */
    @Excel(name = "原因")
    private String reason;

    /** 参会时间 */
    private String conferenceTime;

    /** 投票结果  N:否 Y:是 */
    private String votingResult;

    /** 担保额度 */
    private String lineGuarantee;

    /** 担保期限 */
    private String guaranteePeriod;

    /** 表决不通过原因 */
    private String argument;

    public void setConferenceId(Long conferenceId) 
    {
        this.conferenceId = conferenceId;
    }

    public Long getConferenceId() 
    {
        return conferenceId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setIsConference(String isConference) 
    {
        this.isConference = isConference;
    }

    public String getIsConference() 
    {
        return isConference;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }

    public String getConferenceTime() {
        return conferenceTime;
    }

    public void setConferenceTime(String conferenceTime) {
        this.conferenceTime = conferenceTime;
    }

    public String getVotingResult() {
        return votingResult;
    }

    public void setVotingResult(String votingResult) {
        this.votingResult = votingResult;
    }

    public String getLineGuarantee() {
        return lineGuarantee;
    }

    public void setLineGuarantee(String lineGuarantee) {
        this.lineGuarantee = lineGuarantee;
    }

    public String getGuaranteePeriod() {
        return guaranteePeriod;
    }

    public void setGuaranteePeriod(String guaranteePeriod) {
        this.guaranteePeriod = guaranteePeriod;
    }

    public String getArgument() {
        return argument;
    }

    public void setArgument(String argument) {
        this.argument = argument;
    }

    public String getLoanApplicationName() {
        return loanApplicationName;
    }

    public void setLoanApplicationName(String loanApplicationName) {
        this.loanApplicationName = loanApplicationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("conferenceId", getConferenceId())
            .append("userId", getUserId())
            .append("idCard", getIdCard())
            .append("realName", getRealName())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("isConference", getIsConference())
            .append("reason", getReason())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
